Last Comment Bug 364387 - Event dialog: 'X' doesn't work for edited events
: Event dialog: 'X' doesn't work for edited events
Status: RESOLVED DUPLICATE of bug 464102
:
Product: Calendar
Classification: Client Software
Component: Dialogs (show other bugs)
: unspecified
: All All
: -- normal with 1 vote (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-19 13:22 PST by Omar Bajraszewski
Modified: 2010-01-27 11:39 PST (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Omar Bajraszewski 2006-12-19 13:22:08 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; pl; rv:1.8.1) Gecko/20061010 Firefox/2.0
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; pl; rv:1.8.1) Gecko/20061010 Firefox/2.0

When you have installed wcap enabler and create an event and press 'x' you are asked if you want to save changes. When you edit an event and change calendar and press 'x' nothing happens

Reproducible: Always

Steps to Reproduce:
1.Create two calendars
2.Create an event
3.Edit an event
4.Change calendar
5.Press 'x'

Actual Results:  
Changes are not saved

Expected Results:  
You're asked if you want to save the changes

When you change 'repeat' pattern and press 'x' you are asked for saving changes


Lightning 2006121903
Comment 1 Damian Szczepanik 2007-01-20 10:50:41 PST
This problem may exist only in Lightning because Sunbird does not support saving/confirming when 'x' is pressed

Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9a2pre) Gecko/20070114 Calendar/0.6a1
Comment 2 Damian Szczepanik 2007-01-20 14:02:44 PST
sorry, I misunderstood your intention - this is duplicate of bug 361993

*** This bug has been marked as a duplicate of bug 361993 ***
Comment 3 Omar Bajraszewski 2007-01-21 01:46:59 PST
(In reply to comment #2)
> sorry, I misunderstood your intention - this is duplicate of bug 361993
> 
> *** This bug has been marked as a duplicate of bug 361993 ***
> 

I don't agree- it's not the same. My bug report is about prototype. I cannot reproduce the problem described in bug 361993 using prototype. It's not a duplicate. Please reopen it
Comment 4 cmtalbert 2007-01-22 10:21:35 PST
Yes, the prototype event dialog and the normal event dialog are two different animals. These bugs are *not* duplicates.

I can confirm the bug: lightning +wcap (2007012203) in Thunderbird version 2 beta 2 (20070122) on windows XP.
Comment 5 Omar Bajraszewski 2007-01-24 09:32:39 PST
When I opened a prototype new event dialog and pressed 'X' button lightning used to ask me whether I wanted to save changes or not. Now prototype has been updated---> this function doesn't exist anymore. I don't know if it's intentional or not. If it's not intentional I shall leave the bug report open and there should be a new bug report filled (regression). If it's intentional I shall mark it as WFM. What shall I do?
Comment 6 Michael Büttner (no reviews TFN) 2007-01-25 00:53:44 PST
I didn't remove any functionality from the prototype event dialog. So generally, the user gets asked whether or not the changes should be discarded or saved in case the item changed. At least this is how it should work in theory ;-)

But you're right that the question isn't raised if the item is about to be moved to a different calendar. I just tested this and nothing happens, the item won't get moved to the other calendar. Pressing "save and close" indeed moves the item to the other calendar, but closing the dialog does nothing. So, I'd suggest that this bug should be dedicated to this problem.

Of course, there could be other situations where the question whether or not the item should be saved pop up unexpectedly or doesn't get raised at all. I'd suggest that we file new bugs for each encounter of such circumstances.
Comment 7 Michael Büttner (no reviews TFN) 2007-01-25 00:54:32 PST
taking this one.
Comment 8 Michael Büttner (no reviews TFN) 2007-08-08 05:32:09 PDT
I can no longer reproduce this behavior -> WFM.
Comment 9 Stefan Sitter 2007-08-08 10:17:08 PDT
Using Sunbird 0.7pre (20070808) I can still reproduce this issue if using the Escape key to close the dialog. No confirmation dialog is shown. Closing the dialog by clicking the X dialog button shows the confirmation dialog as expected.
Comment 10 Damian Szczepanik 2007-08-19 01:55:33 PDT
I expect this should be reopened if Stefan can reproduce it, right?
Comment 11 Martin Schröder [:mschroeder] 2007-08-19 03:30:53 PDT
Escape key & confirmation dialog is WFM using Tb 2.0.0.7pre (20070818) + Lightning 0.7pre (2007081705) on WinXP and Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.7pre) Gecko/20070817 Calendar/0.7pre. Stefan, can you confirm this?
Comment 12 Stefan Sitter 2007-08-19 04:29:19 PDT
Still fails using Sunbird 0.7pre (2007081806) with the following STR:
1. Create new event in calendar A
2. Edit event and change from calendar A to calendar B
3. Press Escape key -> Confirmation dialog is shown. Save (Press Yes).
4. Edit event and change from calendar B to calendar A (or another one)
5. Press Escape key or X button -> No confirmation dialog is shown.
Comment 13 Pete Riley 2007-08-20 01:27:07 PDT
Just to confirm Stefan's report, I never see the confirmation dialog for *existing* events after I edit them and change calendars -- not if I press the escape key and not if I click the X.

Lightning 2007081804 / TB 2.0.0.6 / WinXP
Comment 14 Simon Paquet [:sipaq] 2007-11-24 12:18:33 PST
Setting wanted0.8- as the main Calendar developers will not devote any time to
this in the 0.8 timeframe. Patches are, of course, always welcome.
Comment 15 Omar Bajraszewski 2008-01-22 13:23:32 PST
(In reply to comment #0)
I cannot reproduce it. But I can confirm what Stefan said in comment #12 (there's no confirmation dialog after pressing escape key
Comment 16 Mike Beltzner [:beltzner, not reading bugmail] 2008-01-29 17:10:04 PST
Oops, sorry, my bad, returning to the right component, awfully sorry about stomping your target milestone, please send hatemail to this address :(
Comment 17 Markus Adrario [:Taraman] 2010-01-27 10:12:52 PST
There has not been any activity on this one for a long time?

Does the issue still exist?

I get the confirmation dialog in any case (X or ESC) with switching calendars in any combination.

Or is this only for Lightning with wcap?
Comment 18 Stefan Sitter 2010-01-27 11:39:39 PST
Seems it was fixed by later reported but identical Bug 464102.

*** This bug has been marked as a duplicate of bug 464102 ***

Note You need to log in before you can comment on or make changes to this bug.